Subject: Re: [PATCH v3] push: Enhance unspecified push default warning

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Nov 2013 10:02:43 -0800

Matthieu Moy <[email-masked]> writes:

> Jonathan Nieder <[email-masked]> writes:
>
>> 	When push.default is set to 'matching', git will push local branches
>> 	to remote branches that already exist with the same (matching) name.
>
> Yes, that's better than the original patch (and remains two lines).
> ...
>
>> 	In Git 2.0, git will default to a more conservative 'simple' behavior
>> 	that only pushes the current branch.
>
> That's an option too, but I think mentionning "git pull" was a good
> idea.

OK, I'll tentatively update the draft to read like this, redo the
endgame patch on top and requeue.

 builtin/push.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/builtin/push.c b/builtin/push.c
index 5393e28..27c5754 100644
--- a/builtin/push.c
+++ b/builtin/push.c
@@ -174,14 +174,12 @@ N_("push.default is unset; its implicit value is changing in\n"
    "\n"
    "  git config --global push.default simple\n"
    "\n"
-   "When push.default is set to 'matching', git will push all local branches\n"
-   "to the remote branches with the same (matching) name.  This will no\n"
-   "longer be the default in Git 2.0 because a branch could be\n"
-   "unintentionally pushed to a remote.\n"
+   "When push.default is set to 'matching', git will push local branches\n"
+   "to the remote branches that already exist with the same name.\n"
    "\n"
-   "In Git 2.0 the new push.default of 'simple' will push only the current\n"
-   "branch to the same remote branch used by git pull.   A push will\n"
-   "only succeed if the remote and local branches have the same name.\n"
+   "In Git 2.0, Git will default to the more conservative 'simple'\n"
+   "behavior that only pushes the current branch to the corresponding\n"
+   "remote branch used by 'git pull' to update the current branch from.\n"
    "\n"
    "See 'git help config' and search for 'push.default' for further information.\n"
    "(the 'simple' mode was introduced in Git 1.7.11. Use the similar mode\n"